---
title: string-length
slug: Web/XPath/Functions/string-length
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>string-length</code> function returns a number equal to the number of characters in a given string.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">string-length( [<em>string</em>] )
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>string</code></em>(optional)</dt>
 <dd>The string to evaluate. If omitted, string used will be the same as the context node converted to a string.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>An integer equal to the number of characters in the string.</p>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-string-length">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
